A class that provides constant values for the possible smoothing algorithms of a texture.

### Hierarchy

- TextureSmoothing

## Index

### Properties

- BILINEAR
- NONE
- TRILINEAR

### Methods

- isValid

## Properties

### Static BILINEAR

BILINEAR: string

- Defined in lib/starling/textures/TextureSmoothing.d.ts:12

Bilinear filtering. Creates smooth transitions between pixels.

### Static NONE

NONE: string

- Defined in lib/starling/textures/TextureSmoothing.d.ts:9

No smoothing, also called "Nearest Neighbor". Pixels will scale up as big rectangles.

### Static TRILINEAR

TRILINEAR: string

- Defined in lib/starling/textures/TextureSmoothing.d.ts:15

Trilinear filtering. Highest quality by taking the next mip map level into account.

## Methods

### Static isValid

- isValid(smoothing: string): boolean

- - Defined in lib/starling/textures/TextureSmoothing.d.ts:18

  Determines whether a smoothing value is valid.

  #### Parameters

  - ##### smoothing: string

  #### Returns boolean

Generated using TypeDoc